Skip to navigation

List Inventory at Locations

Return a list of inventory and inventory settings for all items in all locations.

Limits

  • Limit of 1000 items for payload length.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Store Inventoryread-onlystore_inventory_read_only
Store Inventorymodifystore_inventory

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

sku:instringOptional

List of sku separated by comma.

variant_id:inintegerOptional

List of variant_id separated by comma.

product_id:inintegerOptional

List of product_id separated by comma.

location_id:inintegerOptional

Comma separated list of location_id.

location_code:instringOptional

Comma separated list of location_code.

pageintegerOptional

Specifies the page number in a limited (paginated) list.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list.

Response

Request has been successfully processed.
datalist of objectsOptional
metaobjectOptional